Name: openal-soft
Version: 1.7.411
Release: alt0.M50.1
License: LGPL v2.0 or later

Group: System/Libraries
Icon: openal.xpm
Source0: %name-%version.tar.bz2
Source1: libopenalcompat.c
Source2: openal-soft-rpmlintrc
Summary: OpenAL Soft
Url: http://kcat.strangesoft.net/openal.html
Conflicts: openal <= 0.0.8
# TODO: check if new version truly provides classical libopenal
#Provides: openal = 0.0.9
Packager: Fr. Br. George <george@altlinux.ru>

BuildRequires: libalsa-devel
BuildRequires: cmake >= 2.4.4
Patch0: 0001-install-pkgconfig-file-to-LIB_INSTALL_DIR.diff

%description
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral with a clean,
simple C-based API.

OpenAL Soft is an alternative software implementation with a shared and
a cleaned up codebase, based on the windows reference implementation.

Authors:
--------
    Chris Robinson

%package -n libopenal1-devel
License: LGPL v2.0 or later
Summary: OpenAL Soft
Group: Development/C++
Requires: %name = %version glibc-devel
#Provides: libopenal-devel = 0.0.9
Conflicts: libopenal-devel <= 0.0.8

%description -n libopenal1-devel
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral with a clean,
simple C-based API.

OpenAL Soft is an alternative software implementation with a shared and
a cleaned up codebase, based on the windows reference implementation.

Authors:
--------
    Chris Robinson

%package -n libopenal0
License: LGPL v2.0 or later
Summary: OpenAL Soft
Group: System/Libraries

%description -n libopenal0
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral with a clean,
simple C-based API.

OpenAL Soft is an alternative software implementation with a shared and
a cleaned up codebase, based on the windows reference implementation.

Authors:
--------
    Chris Robinson

%package -n libopenal1
License: LGPL v2.0 or later
Summary: OpenAL Soft
Group: System/Libraries
Conflicts: libopenal <= 0.0.8
#Provides: libopenal = 0.0.9

%description -n libopenal1
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral with a clean,
simple C-based API.

OpenAL Soft is an alternative software implementation with a shared and
a cleaned up codebase, based on the windows reference implementation.

Authors:
--------
    Chris Robinson

%prep
%setup -q
#patch0 -p1

%build
cd CMakeConf
cmake \
    -D LIB_INSTALL_DIR=%_lib \
    -D CMAKE_INSTALL_PREFIX=%prefix \
    -D CMAKE_C_FLAGS:STRING="$RPM_OPT_FLAGS" \
    ..
make VERBOSE=1 %{?jobs:-j %jobs}
# dummy library for compatibility
#doesnt work
#gcc -Wall $RPM_OPT_FLAGS -Wl,-soname,libopenal.so.0 -shared -Wl,-f,libopenal.so.1 -o libopenal.so.0 %SOURCE1
gcc -Wall $RPM_OPT_FLAGS -fPIC -DPIC -Wl,-soname,libopenal0.so.0 -shared -L. -lopenal -o libopenal0.so.0 %SOURCE1

%install
cd CMakeConf
make DESTDIR=%buildroot install
install -d %buildroot/etc/openal
install -m644 libopenal0.so.0 %buildroot%_libdir

%post -n libopenal0 -p /sbin/ldconfig

%postun -n libopenal0 -p /sbin/ldconfig

%post -n libopenal1 -p /sbin/ldconfig

%postun -n libopenal1 -p /sbin/ldconfig

%files
%doc alsoftrc.sample
%dir /etc/openal
%_bindir/openal-info

%files -n libopenal1
%_libdir/libopenal.so.1
%_libdir/libopenal.so.1.*

%files -n libopenal0
%_libdir/libopenal0.so.0

%files -n libopenal1-devel
%_libdir/libopenal.so
%_libdir/pkgconfig/openal.pc
%dir %_includedir/AL
%_includedir/AL/al.h
%_includedir/AL/alc.h
%_includedir/AL/alext.h

%changelog
* Fri Apr 17 2009 Fr. Br. George <george@altlinux.ru> 1.7.411-alt0.M50.1
- Rebuild under M50

* Fri Apr 17 2009 Fr. Br. George <george@altlinux.ru> 1.7.411-alt2
- Remove fake libopenal provide

* Thu Apr 02 2009 Fr. Br. George <george@altlinux.ru> 1.7.411-alt1
- Version up
- Remove libopenal provides, so it is not compatible with

* Mon Nov 03 2008 Fr. Br. George <george@altlinux.ru> 1.5.304-alt1
- Initial build from SuSE

* Wed Aug 20 2008 lnussel@suse.de
- new version 1.5.304
  * reduces buffer size to reduce latency
  * installs pkg-config file
  * better EFX compliance
  * fixes doppler shift
  * needs less memory in the mixer
* Thu Jul 17 2008 lnussel@suse.de
- backport patch to reduce buffer size from git
- fix mandriva build
* Thu Jun  5 2008 lnussel@suse.de
- split package to have libraries in subpackages
* Thu Jun  5 2008 lnussel@suse.de
- new package version 1.4.272 based on b-s-a's and ickruis' work
